/*
 * Programming in Java, Jacobs University, 2015
 *
 * A simple program that fetches URLs given on the command line and
 * writes the result to the standard output.
 */

import java.net.URL;
import java.net.MalformedURLException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.IOException;
    
public class B
{
    public static void main(String args[])
	throws MalformedURLException, IOException
    {
	for (String arg: args) {
	    URL url = new URL(arg);
	    InputStream ins = url.openStream();
	    BufferedReader in = new BufferedReader(new InputStreamReader(ins));

	    while (true) {
		String line = in.readLine();
		if (line == null) break;
		System.out.println(line);
	    }
	}
    }
}
